LiVES 2.4.6

- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
Data Structures | Macros | Functions | Variables
resample.h File Reference
`#include "../libweed/weed.h"`

Go to the source code of this file.

## Data Structures
struct | _resaudw
| resample audio window More...

## Macros
#define | RESIZE_ALL_NEEDS_CONVERT 1
#define | LETTERBOX_NEEDS_COMPOSITE 1
#define | LETTERBOX_NEEDS_CONVERT 1

## Functions
weed_timecode_t | q_gint64 (weed_timecode_t in, double fps)
weed_timecode_t | q_gint64_floor (weed_timecode_t in, double fps)
weed_timecode_t | q_dbl (double in, double fps)
weed_plant_t * | quantise_events (weed_plant_t *in_list, double new_fps, boolean allow_gap)
| quantise frame events for a single clip More...
int | count_resampled_frames (int in_frames, double orig_fps, double resampled_fps)
void | create_new_pb_speed (short type)
| window change speed from Tools menu More...
_resaudw * | create_resaudw (short type, render_details *rdet, LiVESWidget *top_vbox)
void | on_change_speed_activate (LiVESMenuItem *, livespointer)
void | on_change_speed_ok_clicked (LiVESButton *, livespointer)
boolean | auto_resample_resize (int width, int height, double fps, int fps_num, int fps_denom, int arate, int asigned, boolean swap_endian)
int | reorder_frames (int rwidth, int rheight)
int | deorder_frames (int old_framecount, boolean leave_bak)
| leave_bak is a special mode for the clipboard More...
boolean | resample_clipboard (double new_fps)
| call this to resample clipboard video More...

## Variables
_resaudw * | resaudw

## Macro Definition Documentation

#define LETTERBOX_NEEDS_COMPOSITE 1

#define LETTERBOX_NEEDS_CONVERT 1

#define RESIZE_ALL_NEEDS_CONVERT 1

## Function Documentation

boolean auto_resample_resize | ( | int | width,
|  | int | height,
|  | double | fps,
|  | int | fps_num,
|  | int | fps_denom,
|  | int | arate,
|  | int | asigned,
|  | boolean | swap_endian
| ) |  |

int count_resampled_frames | ( | int | in_frames,
|  | double | orig_fps,
|  | double | resampled_fps
| ) |  |

void create_new_pb_speed | ( | short | type | ) |

window change speed from Tools menu

_resaudw* create_resaudw | ( | short | type,
|  | render_details * | rdet,
|  | LiVESWidget * | top_vbox
| ) |  |

resample audio window

type 1 : show current and new, type 2 : show new

int deorder_frames | ( | int | old_framecount,
|  | boolean | leave_bak
| ) |  |

leave_bak is a special mode for the clipboard

void on_change_speed_activate | ( | LiVESMenuItem * | ,
|  | livespointer |
| ) |  |

void on_change_speed_ok_clicked | ( | LiVESButton * | ,
|  | livespointer |
| ) |  |

weed_timecode_t q_dbl | ( | double | in,
|  | double | fps
| ) |  |

weed_timecode_t q_gint64 | ( | weed_timecode_t | in,
|  | double | fps
| ) |  |

weed_timecode_t q_gint64_floor | ( | weed_timecode_t | in,
|  | double | fps
| ) |  |

weed_plant_t* quantise_events | ( | weed_plant_t * | in_list,
|  | double | new_fps,
|  | boolean | allow_gap
| ) |  |

quantise frame events for a single clip

int reorder_frames | ( | int | rwidth,
|  | int | rheight
| ) |  |

boolean resample_clipboard | ( | double | new_fps | ) |

call this to resample clipboard video

## Variable Documentation

_resaudw* resaudw